package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (01/06/07)
 */
public class P06B2233T00Datatype implements Serializable {
	
	private int operacion; //2:Modificación; 1:Alta; 0:Baja
	private P06B22T00Datatype p06B22T00Datatype;
	private P06B33T00Datatype p06B33T00Datatype;
	
	public boolean isEmpty() {
		if(operacion==0
				&& p06B22T00Datatype==null
				&& p06B33T00Datatype==null)
			return true;
		return false;
	}

	/**
	 * @return the operacion
	 */
	public String getLitOperacion() {
		String sLit = "";
		switch (operacion){
			case 0: {
				sLit = "-";
				break;
			}
			case 1: {
				sLit = "+";
				break;			
			}
			case 2: {
				sLit = "v";
				break;
			}
		}
		return sLit;
	}

	/**
	 * @return the operacion
	 */
	public int getOperacion() {
		return operacion;
	}

	/**
	 * @param operacion the operacion to set
	 */
	public void setOperacion(int operacion) {
		this.operacion = operacion;
	}

	/**
	 * @return the p06B22T00Datatype
	 */
	public P06B22T00Datatype getP06B22T00Datatype() {
		return p06B22T00Datatype;
	}

	/**
	 * @param p06b22t00Datatype the p06B22T00Datatype to set
	 */
	public void setP06B22T00Datatype(P06B22T00Datatype p06b22t00Datatype) {
		p06B22T00Datatype = p06b22t00Datatype;
	}

	/**
	 * @return the p06B33T00Datatype
	 */
	public P06B33T00Datatype getP06B33T00Datatype() {
		return p06B33T00Datatype;
	}

	/**
	 * @param p06b33t00Datatype the p06B33T00Datatype to set
	 */
	public void setP06B33T00Datatype(P06B33T00Datatype p06b33t00Datatype) {
		p06B33T00Datatype = p06b33t00Datatype;
	}

	
	
}
